
add_subdirectory( Icons )

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/lib
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### configuration (static) ####################

tde_add_library( configuration STATIC_PIC AUTOMOC
  SOURCES kpilotConfig.cpp kpilotSettings.kcfgc
  LINK tdecore-shared tdeui-shared tdeio-shared
)


##### kpilot (executable) #######################

tde_add_executable( kpilot AUTOMOC
  SOURCES pilotDaemonDCOP.stub kpilotDCOP.skel loggerDCOP.skel kpilot.cpp
    pilotComponent.cpp logWidget.cpp memoWidget.cpp addressWidget.cpp
    addressEditor.cpp dbviewerWidget.cpp dbFlagsEditor.cpp dbFlagsEditor_base.ui
    dbRecordEditor.cpp dbAppInfoEditor.cpp datebookWidget.cpp todoWidget.cpp
    todoEditor.cpp todoEditor_base.ui fileInstaller.cpp fileInstallWidget.cpp
    listItems.cpp
  LINK tdecore-shared tdeui-shared tdeio-shared tdeutils-shared
    kpilot-shared configuration-static
  DESTINATION ${BIN_INSTALL_DIR}
)


##### kpilotDaemon (executable) #################

tde_add_executable( kpilotDaemon AUTOMOC
  SOURCES pilotDaemonDCOP.skel kpilotDCOP.stub loggerDCOP.stub loggerDCOP.skel
    pilotDaemon.cpp logFile.cpp hotSync.cpp internalEditorAction.cpp
    fileInstaller.cpp
  LINK tdecore-shared tdeui-shared tdeio-shared kpilot-shared
    configuration-static
  DESTINATION ${BIN_INSTALL_DIR}
)


##### kcm_kpilot (kpart) ########################

tde_add_kpart( kcm_kpilot AUTOMOC
  SOURCES pilotDaemonDCOP.stub kpilotConfigDialog.cpp
    kpilotConfigDialog_device.ui kpilotConfigDialog_sync.ui
    kpilotConfigDialog_startup.ui kpilotConfigDialog_viewers.ui
    kpilotConfigDialog_backup.ui conduitConfigDialog.cpp kpilotProbeDialog.cpp
    kpilotConfigWizard_address.kcfgc kpilotConfigWizard_notes.kcfgc
    kpilotConfigWizard_vcal.kcfgc kpilotConfigWizard_user.ui
    kpilotConfigWizard_app.ui kpilotConfigWizard.cpp dbSelectionDialog.cpp
    dbSelection_base.ui
  LINK tdecore-shared tdeui-shared tdeio-shared kpilot-shared
    configuration-static
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### other data ################################

install( FILES kpilotui.rc
  DESTINATION ${DATA_INSTALL_DIR}/${PROJECT_NAME}
)

tde_create_translated_desktop(
  SOURCE kpilot.desktop kpilotdaemon.desktop
  DESTINATION ${XDG_APPS_INSTALL_DIR}
)

install( FILES kpilot.upd
  DESTINATION ${DATA_INSTALL_DIR}/tdeconf_update
)

tde_create_translated_desktop(
  SOURCE kpilot_config.desktop
  DESTINATION ${SERVICES_INSTALL_DIR}
)

tde_create_translated_desktop(
  SOURCE kpilotconduit.desktop
  DESTINATION ${SERVICETYPES_INSTALL_DIR}
)

install( FILES kpilot.kcfg
  DESTINATION ${KCFG_INSTALL_DIR}
)
